/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ShapeSeriesBaseDescription } from "./ShapeSeriesBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let ScatterPolygonSeriesDescription = /*@__PURE__*/ (() => {
    class ScatterPolygonSeriesDescription extends ShapeSeriesBaseDescription {
        get_type() {
            return "ScatterPolygonSeries";
        }
        constructor() {
            super();
            this.ex = null;
            this.fa = null;
            this.e9 = null;
            this.ez = 0;
            this.e3 = null;
            this.e4 = null;
            this.e1 = null;
            this.e7 = null;
            this.e2 = null;
            this.e5 = null;
            this.e8 = null;
            this.e6 = null;
        }
        get shapeStyle() {
            return this.ex;
        }
        set shapeStyle(a) {
            this.ex = a;
            this.g("ShapeStyle");
        }
        get markerType() {
            return this.fa;
        }
        set markerType(a) {
            this.fa = a;
            this.g("MarkerType");
        }
        get markerTemplateRef() {
            return this.e9;
        }
        set markerTemplateRef(a) {
            this.e9 = a;
            this.g("MarkerTemplateRef");
        }
        get markerThickness() {
            return this.ez;
        }
        set markerThickness(a) {
            this.ez = a;
            this.g("MarkerThickness");
        }
        get actualMarkerTemplateRef() {
            return this.e3;
        }
        set actualMarkerTemplateRef(a) {
            this.e3 = a;
            this.g("ActualMarkerTemplateRef");
        }
        get markerBrush() {
            return this.e4;
        }
        set markerBrush(a) {
            this.e4 = a;
            this.g("MarkerBrush");
        }
        get actualMarkerBrush() {
            return this.e1;
        }
        set actualMarkerBrush(a) {
            this.e1 = a;
            this.g("ActualMarkerBrush");
        }
        get markerOutline() {
            return this.e7;
        }
        set markerOutline(a) {
            this.e7 = a;
            this.g("MarkerOutline");
        }
        get actualMarkerOutline() {
            return this.e2;
        }
        set actualMarkerOutline(a) {
            this.e2 = a;
            this.g("ActualMarkerOutline");
        }
        get markerCollisionAvoidance() {
            return this.e5;
        }
        set markerCollisionAvoidance(a) {
            this.e5 = a;
            this.g("MarkerCollisionAvoidance");
        }
        get markerOutlineMode() {
            return this.e8;
        }
        set markerOutlineMode(a) {
            this.e8 = a;
            this.g("MarkerOutlineMode");
        }
        get markerFillMode() {
            return this.e6;
        }
        set markerFillMode(a) {
            this.e6 = a;
            this.g("MarkerFillMode");
        }
    }
    ScatterPolygonSeriesDescription.$t = /*@__PURE__*/ markType(ScatterPolygonSeriesDescription, 'ScatterPolygonSeriesDescription', ShapeSeriesBaseDescription.$);
    return ScatterPolygonSeriesDescription;
})();
